<?php
require_once(dirname(__FILE__).'/../../../upgrade.php');
class create_userlogin_table extends UPGRADE
{
	/**
	* IsAlreadyUpgraded
	* Do we need to run this classes upgrade script or not ?
	*
	* @return bool true if the upgrade has already run, otherwise false
	*/
	function IsAlreadyUpgraded()
	{
		return $this->TableExists($GLOBALS['tablePrefix'].'userlogin');
	}

	/**
	* Upgrade
	* Do the actual upgrade of this component. If this is successful all
	* subsequent calls to IsAlreadyUpgraded should return true
	*
	* @return void
	*/
	function Upgrade()
	{
		$query = "
			CREATE TABLE `".$GLOBALS['tablePrefix']."userlogin` (
				`ipaddress` VARCHAR( 100 ) NOT NULL ,
				`attemptnum` INT NOT NULL ,
				`tslogin` DATETIME NOT NULL ,
				UNIQUE KEY `idx_userlogin_ui_ip` (`ipaddress`)
			) ENGINE=MyISAM
		";			

		$result = $GLOBALS['AKB_DB']->Query($query);
	}

}
?>
